poppler-private
3
POPPLER Library

# poppler-private

## Synopsis

                        PopplerDocument;
                        PopplerPSFile;
                        PopplerFontInfo;
                        PopplerPage;

## Object Hierarchy

      GObject
       +----PopplerDocument

      GObject
       +----PopplerPage

## Properties

      "author"                   gchar*                : Read
      "creation-date"            gint                  : Read
      "creator"                  gchar*                : Read
      "format"                   gchar*                : Read
      "format-major"             guint                 : Read
      "format-minor"             guint                 : Read
      "keywords"                 gchar*                : Read
      "linearized"               gchar*                : Read
      "metadata"                 gchar*                : Read
      "mod-date"                 gint                  : Read
      "page-layout"              PopplerPageLayout     : Read
      "page-mode"                PopplerPageMode       : Read
      "permissions"              PopplerPermissions    : Read
      "producer"                 gchar*                : Read
      "subject"                  gchar*                : Read
      "title"                    gchar*                : Read
      "viewer-preferences"       PopplerViewerPreferences  : Read
      "label"                    gchar*                : Read

## Description

## Details

### PopplerDocument

    typedef struct _PopplerDocument PopplerDocument;

### PopplerPSFile

    typedef struct {
      GObject parent_instance;

      PopplerDocument *document;
      PSOutputDev *out;
      char *filename;
      int first_page;
      int last_page;
      double paper_width;
      double paper_height;
      gboolean duplex;
    } PopplerPSFile;

### PopplerFontInfo

    typedef struct {
      GObject parent_instance;
      PopplerDocument *document;
      FontInfoScanner *scanner;
    } PopplerFontInfo;

### PopplerPage

    typedef struct _PopplerPage PopplerPage;

## Property Details

### The `"author"` property

      "author"                   gchar*                : Read

The author of the document.

Default value: NULL

### The `"creation-date"` property

      "creation-date"            gint                  : Read

The date and time the document was created.

Allowed values: >= 0

Default value: 0

### The `"creator"` property

      "creator"                  gchar*                : Read

The software that created the document.

Default value: NULL

### The `"format"` property

      "format"                   gchar*                : Read

The PDF version of the document.

Default value: NULL

### The `"format-major"` property

      "format-major"             guint                 : Read

The PDF major version number of the document.

Default value: 1

### The `"format-minor"` property

      "format-minor"             guint                 : Read

The PDF minor version number of the document.

Default value: 0

### The `"keywords"` property

      "keywords"                 gchar*                : Read

Keywords.

Default value: NULL

### The `"linearized"` property

      "linearized"               gchar*                : Read

Is the document optimized for web viewing?.

Default value: NULL

### The `"metadata"` property

      "metadata"                 gchar*                : Read

Embedded XML metadata.

Default value: NULL

### The `"mod-date"` property

      "mod-date"                 gint                  : Read

The date and time the document was modified.

Allowed values: >= 0

Default value: 0

### The `"page-layout"` property

      "page-layout"              PopplerPageLayout     : Read

Initial Page Layout.

Default value: POPPLER_PAGE_LAYOUT_UNSET

### The `"page-mode"` property

      "page-mode"                PopplerPageMode       : Read

Page Mode.

Default value: POPPLER_PAGE_MODE_UNSET

### The `"permissions"` property

      "permissions"              PopplerPermissions    : Read

Permissions.

Default value: POPPLER_PERMISSIONS_OK_TO_PRINT|POPPLER_PERMISSIONS_OK_TO_MODIFY|POPPLER_PERMISSIONS_OK_TO_COPY|POPPLER_PERMISSIONS_OK_TO_ADD_NOTES|POPPLER_PERMISSIONS_OK_TO_FILL_FORM

### The `"producer"` property

      "producer"                 gchar*                : Read

The software that converted the document.

Default value: NULL

### The `"subject"` property

      "subject"                  gchar*                : Read

Subjects the document touches.

Default value: NULL

### The `"title"` property

      "title"                    gchar*                : Read

The title of the document.

Default value: NULL

### The `"viewer-preferences"` property

      "viewer-preferences"       PopplerViewerPreferences  : Read

Viewer Preferences.

### The `"label"` property

      "label"                    gchar*                : Read

The label of the page.

Default value: NULL